Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.terminal
Interface Terminal

All Known Implementing Classes:
  Terminal6530, TerminalVT100Style

public interface Terminal

Interface that defines a terminal emulator from the perspective of a TerminalWindow.

Field Summary
`static int` | `GRAVITY_NORTHWEST`
`static int` | `GRAVITY_SOUTHWEST`

Method Summary
`void` | `clearLine()`
`void` | `clearSaveLines()`
`void` | `clearScreen()`
`void` | `close()`
`void` | `doClickSelect(int visTop, int row, int col, java.lang.String selectDelims)`
`void` | `fromHost(char c)`
`int` | `getCols()`
`java.lang.String` | `getDefaultProperty(java.lang.String key)`
`TerminalOption[]` | `getOptions()`
`java.util.Properties` | `getProperties()`
`java.lang.String` | `getProperty(java.lang.String key)`
`boolean` | `getPropsChanged()`
`int` | `getRows()`
`java.lang.String` | `getSelection(java.lang.String eol)`
`void` | `keyHandler(char c, int virtualKey, int modifiers)`
`void` | `mouseHandler(int visTop, int x, int y, boolean press, int modifiers)`
`void` | `paste(java.lang.String selection)`
`void` | `reset()`
`void` | `resetClickSelect()`
`void` | `resetSelection()`
`void` | `ringBell()`
`SearchContext` | `search(SearchContext lastContext, java.lang.String key, boolean reverse, boolean caseSens)`
`void` | `selectAll()`
`void` | `setAttributeBold(boolean set)`
`void` | `setCursorPos(int row, int col)`
`void` | `setDisplay(DisplayView display)`
`void` | `setDumbMode(boolean dumb)`
`void` | `setInputCharset(java.lang.String charset)`
`void` | `setProperties(java.util.Properties newProps)`
`boolean` | `setProperty(java.lang.String key, java.lang.String value, boolean forceSet)`
`void` | `setPropsChanged(boolean value)`
`boolean` | `setSaveLines(int lines)`
`void` | `setSelection(int row1, int col1, int row2, int col2)`
`void` | `setSelection(int visTop, int row1, int col1, int row2, int col2)`
`boolean` | `setSize(int rows, int cols)`
`boolean` | `setTerminalType(java.lang.String type)`
`void` | `setTerminalWindow(TerminalWindow termWin)`
`void` | `setUpdate(boolean enable)`
`java.lang.String` | `terminalType()`

Field Detail

### GRAVITY_SOUTHWEST

    public static final int GRAVITY_SOUTHWEST

See Also:
  Constant Field Values

### GRAVITY_NORTHWEST

    public static final int GRAVITY_NORTHWEST

See Also:
  Constant Field Values

Method Detail

### terminalType

    public java.lang.String terminalType()

### setTerminalType

    public boolean setTerminalType(java.lang.String type)

### setDumbMode

    public void setDumbMode(boolean dumb)

### reset

    public void reset()

### close

    public void close()

### getRows

    public int getRows()

### getCols

    public int getCols()

### paste

    public void paste(java.lang.String selection)

### keyHandler

    public void keyHandler(char c,
                           int virtualKey,
                           int modifiers)

### mouseHandler

    public void mouseHandler(int visTop,
                             int x,
                             int y,
                             boolean press,
                             int modifiers)

### setInputCharset

    public void setInputCharset(java.lang.String charset)

### fromHost

    public void fromHost(char c)

### setUpdate

    public void setUpdate(boolean enable)

### setSize

    public boolean setSize(int rows,
                           int cols)

### setSaveLines

    public boolean setSaveLines(int lines)

### clearSaveLines

    public void clearSaveLines()

### doClickSelect

    public void doClickSelect(int visTop,
                              int row,
                              int col,
                              java.lang.String selectDelims)

### getSelection

    public java.lang.String getSelection(java.lang.String eol)

### setSelection

    public void setSelection(int visTop,
                             int row1,
                             int col1,
                             int row2,
                             int col2)

### setSelection

    public void setSelection(int row1,
                             int col1,
                             int row2,
                             int col2)

### selectAll

    public void selectAll()

### resetSelection

    public void resetSelection()

### resetClickSelect

    public void resetClickSelect()

### setTerminalWindow

    public void setTerminalWindow(TerminalWindow termWin)

### setDisplay

    public void setDisplay(DisplayView display)

### setProperties

    public void setProperties(java.util.Properties newProps)

### setProperty

    public boolean setProperty(java.lang.String key,
                               java.lang.String value,
                               boolean forceSet)

### getProperties

    public java.util.Properties getProperties()

### getProperty

    public java.lang.String getProperty(java.lang.String key)

### getPropsChanged

    public boolean getPropsChanged()

### setPropsChanged

    public void setPropsChanged(boolean value)

### getDefaultProperty

    public java.lang.String getDefaultProperty(java.lang.String key)

### getOptions

    public TerminalOption[] getOptions()

### search

    public SearchContext search(SearchContext lastContext,
                                java.lang.String key,
                                boolean reverse,
                                boolean caseSens)

### setAttributeBold

    public void setAttributeBold(boolean set)

### clearScreen

    public void clearScreen()

### ringBell

    public void ringBell()

### setCursorPos

    public void setCursorPos(int row,
                             int col)

### clearLine

    public void clearLine()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD